GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations
        List Clearing BrokersCreate New Broker OrderList Clearing Trades

Create New Broker Order

TradingClearingCreate New Broker Order

Create New Broker Order

POSThttps://api.gemini.com/v1/clearing/broker/new

Submit a broker-facilitated clearing order between two Gemini counterparties. Both counterparties must confirm before settlement.

POSTv1/clearing/broker/new
curl --request POST \
  --url https://api.gemini.com/v1/clearing/broker/new \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/clearing/broker/new",
  "nonce": "<nonce>",
  "source_counterparty_id": "R485E04Q",
  "target_counterparty_id": "Z4929ZDY",
  "symbol": "ethusd",
  "amount": "175.00",
  "expires_in_hrs": 1,
  "price": "200",
  "side": "sell"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have clearing:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/clearing/broker/new"
nonceTimestampType | integer·required
timestampExample: 1495127793000
source_counterparty_idstring·required
A symbol that corresponds with the counterparty sourcing the clearing trade
target_counterparty_idstring·required
A symbol that corresponds with the counterparty where the clearing trade is targeted
symbolstring·required
The [symbol](/market-data/symbols-and-minimums) of the order
amountstring (decimal)·required
Quoted decimal amount to purchase
expires_in_hrsinteger (float)·required
The number of hours before the trade expires. Your counterparty will need to confirm the order before this time expires.
pricestring (decimal)·required
Quoted decimal amount to spend per unit
sidestring·enum·required
"buy" or "sell". This side will be assigned to the `source_counterparty_id`. The opposite side will be sent to the `target_counterparty_id`Enum values: buysell
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the broker account on which to place the order. Only available for exchange accounts.
Example request body
{
  "request": "/v1/clearing/broker/new",
  "nonce": "<nonce>",
  "source_counterparty_id": "R485E04Q",
  "target_counterparty_id": "Z4929ZDY",
  "symbol": "ethusd",
  "amount": "175.00",
  "expires_in_hrs": 1,
  "price": "200",
  "side": "sell"
}

Responses

Successful operation

resultstring
Will return `AwaitSourceTargetConfirm`, meaning the order is waiting for both the source and the target parties to confirm the order
clearing_idstring
A unique identifier for the clearing order.
Example Responses
{
  "result": "AwaitSourceTargetConfirm",
  "clearing_id": "8EM7NVXD"
}
PreviousList Clearing BrokersNextList Clearing Trades